Subject: Re: linux-next: manual merge of the vfs tree with the fuse tree

From: Al Viro <[email-masked]>
Date: Mon, 2 Sep 2019 16:30:04 +0100

On Mon, Sep 02, 2019 at 05:10:27PM +0200, Miklos Szeredi wrote:
> On Mon, Sep 2, 2019 at 11:00 AM Miklos Szeredi <[email-masked]> wrote:
> >
> > On Fri, Aug 30, 2019 at 5:01 AM Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Hi all,
> > >
> > > Today's linux-next merge of the vfs tree got a conflict in:
> > >
> > >   fs/fuse/inode.c
> > >
> > > between commit:
> > >
> > >   1458e5e9f99a ("fuse: extract fuse_fill_super_common()")
> > >
> > > from the fuse tree and commit:
> > >
> > >   2ad9ab0f7429 ("vfs: Convert fuse to use the new mount API")
> > >   48ceb15f98c8 ("vfs: Move the subtype parameter into fuse")
> >
> > And the latter is b0rked anyway.
> 
> Both, actually.
> 
> Pushed fixed ones to fuse.git#for-next.

... originals cheerfully dropped; will be gone in today's push to
vfs.git#for-next.